classification
Title: test_subprocess fails on cygwin
Type: behavior Stage: resolved
Components: Installation, Tests Versions: Python 2.6
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: ajaksu2, astrand, nnorwitz, nobody, tebeka
Priority: low Keywords: patch

Created on 2006-08-20 13:22 by tebeka, last changed 2009-05-12 17:06 by ajaksu2. This issue is now closed.

Files
File name Uploaded Description Edit
sb.log tebeka, 2006-08-20 13:22 Test log
getpath.diff nobody, 2006-08-21 08:07 Unified diff for patch
Messages (5)
msg29582 - (view) Author: Miki Tebeka (tebeka) * Date: 2006-08-20 13:22
This is RC1.

test_subprocess fails. IMO due to the fact that there
is a directory called "Python" in the python source
directory.

The fix should be that sys.executable will return the
name with the '.exe' suffix on cygwin.

Attached log of running the test.
msg29583 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2006-08-21 02:15
Logged In: YES 
user_id=33168

Cygwin recently changed their behaviour.  I have an
outstanding hack to fix this.  Patches would help get things
fixed up.
msg29584 - (view) Author: Nobody/Anonymous (nobody) Date: 2006-08-21 08:07
Logged In: NO 

Attached a patch, test_subprocess now passes.
msg29585 - (view) Author: Peter ├ůstrand (astrand) * (Python committer) Date: 2007-01-22 19:32
Since this is not a subprocess bug per se, I'm letting someone else take care of this one.
msg84484 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 03:42
Can anyone confirm this? It'll be closed soon otherwise.
History
Date User Action Args
2009-05-12 17:06:40ajaksu2setstatus: pending -> closed
resolution: wont fix
stage: test needed -> resolved
2009-03-30 03:42:19ajaksu2setstatus: open -> pending


keywords: + patch
stage: test needed
versions: + Python 2.6, - Python 2.5
nosy: + ajaksu2
messages: + msg84484
priority: normal -> low
components: + Tests
type: behavior
2006-08-20 13:22:25tebekacreate